gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.Map

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Map = Map (ManagedPtr Map)
- noMap :: Maybe Map

# Exported types

newtype Map Source #

Memory-managed wrapper type.

Constructors

Map (ManagedPtr Map) |

Instances

WrappedPtr Map Source # |
Instance details Defined in GI.Pango.Structs.Map Methods wrappedPtrCalloc :: IO (Ptr Map) Source # wrappedPtrCopy :: Map -> IO Map Source # wrappedPtrFree :: Maybe (FunPtr (Ptr Map -> IO ())) Source #

noMap :: Maybe Map Source #

A convenience alias for `Nothing` :: `Maybe` `Map`.